> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ALL test Webhook/Websocket Tweet Filter Rules

> Get all tweet filter rules.Rule can be used in webhook and websocket.You can also modify the rule in our web page.



## OpenAPI

````yaml GET /oapi/tweet_filter/get_rules
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /oapi/tweet_filter/get_rules:
    get:
      description: >-
        Get all tweet filter rules.Rule can be used in webhook and websocket.You
        can also modify the rule in our web page.
      responses:
        '200':
          description: Tweet filter rules response
          content:
            application/json:
              schema:
                type: object
                properties:
                  rules:
                    type: array
                    items:
                      $ref: '#/components/schemas/TweetFilterRule'
                    description: Array of tweet filter rules
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - error
                  msg:
                    type: string
                    description: Message of the request.error message
                required:
                  - rules
                  - status
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TweetFilterRule:
      type: object
      properties:
        rule_id:
          type: string
          description: ID of the rule
        tag:
          type: string
          description: Custom tag to identify the rule.Max length is 255
        value:
          type: string
          description: >-
            Rule to filter tweets.eg "from:elonmusk OR from:kaitoeasyapi".Max
            length is 255
        interval_seconds:
          type: number
          description: Interval to check tweets.Min value is 100.Max value is 86400
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````